summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_tasks
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:46 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:14:51 +0100
commitfe6eb1c593e2df135c8807bf94df614984b4d6ec (patch)
tree693b803dcc6473a8699f0c605c92b10c24755e28 /helpers/lh_chroot_tasks
parent470cf1764bf56b32addff591cfe3fd69af0e5760 (diff)
downloadlive-build-fe6eb1c593e2df135c8807bf94df614984b4d6ec.zip
live-build-fe6eb1c593e2df135c8807bf94df614984b4d6ec.tar.gz
Adding live-helper 1.0~a1-1.
Diffstat (limited to 'helpers/lh_chroot_tasks')
-rwxr-xr-xhelpers/lh_chroot_tasks55
1 files changed, 55 insertions, 0 deletions
diff --git a/helpers/lh_chroot_tasks b/helpers/lh_chroot_tasks
new file mode 100755
index 0000000..4959d76
--- /dev/null
+++ b/helpers/lh_chroot_tasks
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# lh_chroot_tasks(1) - install tasks into chroot
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/chroot
+Set_defaults
+
+# Requiring stage file
+Require_stagefile "${LIVE_ROOT}"/.stage/bootstrap
+
+# Checking stage file
+Check_stagefile "${LIVE_ROOT}"/.stage/chroot_tasks
+
+# Checking lock file
+Check_lockfile "${LIVE_ROOT}"/.lock
+
+# Creating lock file
+Create_lockfile "${LIVE_ROOT}"/.lock
+
+if [ -n "${LIVE_TASKS}" ] && [ "${LH_APT}" = "aptitude" ]
+then
+ # Restore old cache
+ if [ -d "${LIVE_ROOT}"/cache/chroot_tasks ]
+ then
+ cp "${LIVE_ROOT}"/cache/chroot_tasks/*.deb "${LIVE_CHROOT}"/var/cache/apt/archives
+ fi
+
+ Chroot "aptitude install --assume-yes ${LIVE_TASKS}"
+
+ # Saving new cache
+ Chroot "apt-get autoclean"
+
+ if ls "${LIVE_CHROOT}"/var/cache/apt/archives/*.deb &> /dev/null
+ then
+ if [ ! -d "${LIVE_ROOT}"/cache/chroot_tasks ]
+ then
+ mkdir -p "${LIVE_ROOT}"/cache/chroot_tasks
+ fi
+
+ mv -f "${LIVE_CHROOT}"/var/cache/apt/archives/*.deb "${LIVE_ROOT}"/cache/chroot_tasks
+ fi
+
+ # Creating stage file
+ Create_stagefile "${LIVE_ROOT}"/.stage/chroot_tasks
+fi